'---------------------------------------------------------------------------------------
'
' Please refer to "COPYRIGHT.md" for the relevant copyright statement of this software.
'
'---------------------------------------------------------------------------------------
'
Imports Gssoft.Gscad.Runtime

' This line is not mandatory, but improves loading performances
<Assembly: CommandClass(GetType(GRXTest.MyCommands))> 

Namespace GRXTest
    Public Class MyCommands

        <CommandMethod("vbhello", CommandFlags.Modal)> _
        Public Sub RunMRLCommand() ' This method can have any name
            Dim doc As Gssoft.Gscad.ApplicationServices.Document


            doc = Gssoft.Gscad.ApplicationServices.Application.DocumentManager.MdiActiveDocument
            doc.Editor.WriteMessage("hello vb.net")
        End Sub

    End Class
End Namespace
